<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{296,125,1024,650}</property>
    <property name="Name">[SP_MOVFN.scr]</property>
    <property name="Caption">[Produtos a Receber]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Verdana" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Private]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.F.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{aItems,aHead}</property>
    <property name="FromStyle">[Center]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">14215660</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.T.</property>
    <property name="Maximizebox">.T.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onDlgInit">
    <![CDATA[parameters oDlg
//skel COMANDO ANTES abra_arq("sccpfab")
//skel COMANDO ANTES abra_arq("sccpfor")
//skel COMANDO ANTES DbSelectArea("SP_MOVF")
//skel COMANDO DEPOIS sccpfab->(DbCloseArea())
//skel VARIAVEL zbPrtConferente := {|| zrecn:=recno(), Relat('lst_exec("SP_MOVFN_CONFERENTE")',"nb","DontCloseNaSaida"), DbGoto(zRecn) }

d_ob:lEditable=.t. 

//IF wXmlDir_Recno=0
//   oContainerDadosXML:Hide()
//endif

oBcfop:ALIAS := ""
obCfop:TYPE := 1
CreateArList(oBcfop, wPfTotCFOPs )

oContextMenu:=Hwg_ContextMenu()

hwg_Btn(oToolbar,14,567,54,54)
hwg_TbMt(oToolbar,'22;ins_prd(D_oB,"MOVFN",.T.,.t.);Ins-Inclui ;Inclui Novo produto no Cadastro;xml\icon\cadastrar.ico;28;28;;;;;6;')
// hwg_TbMt(oToolbar,'43;ins_prd(D_oB,"R",.T.,.t.);Ins-Inclui ;Inclui Novo produto no Cadastro;xml\icon\cadastrar.ico;28;28;;;;;6;')
hwg_TbMt(oToolbar,'7;tb_del(D_oB);Del-Apaga ;Deleta/Exclui o Cadastro de um Produto;xml\icon\deletar.ico;28;28;;;;;6;')
hwg_TbMt(oToolbar,'79;tb_index(D_OB);O-Ordena ;O - Ordena;xml\icon\ordenar.ico;28;28;;;;;6;')
// hwg_TbMt(oToolbar,'73;Lst_alias(D_OB);I-Imprime ;I - Imprime;xml\icon\impressora.ico;28;28;;;;;6;')
hwg_TbMt(oToolbar,'73;eVal(zbPrtConferente);I-Imprime ;I - Imprime Conferente;xml\icon\impressora.ico;28;28;;;;;6;')
hwg_Btn(oToolbar,176+40+30,,110,24)
hwg_TbMt(oToolbar,'13;pf_DoGet(D_oB,"R");Enter-Altera ;Enter-Altera;sembitmap;;;Lucida Bright;-11;Altera;;6;')
hwg_TbMt(oToolbar,'84;se_prod->(OrdSetFocus("seip_c"),DbSeek(sp_movf->pCod),DbGet("se_prod",2));F2-Ficha_Prod;F2-Exibe/Altera Ficha do Produto;sembitmap;;;Lucida Bright;-11;F2-FichaPrd;;6;')
   CiSetKey( "K_F2",'se_prod->(OrdSetFocus("seip_c"),DbSeek(sp_movf->pCod),DbGet("se_prod",2))',,,"F2-Exibe/Altera Ficha do Produto")
hwg_TbMt(oToolbar,'86;pfvalor(D_oB);V-Valor_Pedido ;V - Valor_Pedido;sembitmap;;;Lucida Bright;-11;&V-Valor_Pedido;;6;')
hwg_TbMt(oToolbar,'66;pf_ean(nrow,d_ob);B-Cod_Barras ;B - Cod_Barras;sembitmap;;;Lucida Bright;-11;&B-Cod_Barras;;6;')
hwg_TbMt(oToolbar,'84;pf_etiq(nrow,"E");T-Etiquetas ;T-Etiquetas;sembitmap;;;Lucida Bright;-11;E&Tiquetas;;6;')
hwg_Btn(oToolbar,176+40+30,567+30,110,24)
hwg_TbMt(oToolbar,'82;pfrecquant(D_oB);R-Confirma_Todos ;R - Confirma_Todos;sembitmap;;;Lucida Bright;-11;&R-Confirma_Todos;;6;')
hwg_TbMt(oToolbar,'82;RedefineCfops(D_OB);E-Redefine_CFOPs ;R - Redefine CFOPs e CSTs;sembitmap;;;Lucida Bright;-11;&E-Redefine_CFOPs;;6;')
hwg_TbMt(oToolbar,'47;chk_sp_movf(,,D_oB,"AJUSTA_TODOS");/-Ajusta_Valores ;/ - Ajusta_Valores;sembitmap;;;Lucida Bright;-11;&/-Ajusta_Valores;;6;')
hwg_TbMt(oToolbar,'32;OrdSetFocus(0);Barra-Ordem_Digitacao ;Barra - Ordem_Digitacao;sembitmap;;;Lucida Bright;-11;Ordem_Digitacao;;6;')
hwg_TbMt(oToolbar,'84;pf_etiq(nrow,"E",,,,, "S");T-Etq5Epson ;T-Etiquetas p/ impressora matricial Epson 5etq por linha;sembitmap;;;Lucida Bright;-11;Etq&5Epson;;6;')
//hwg_TbMt(oToolbar,'93;disp_sdse(D_OB);]-Demanda;] - Demanda;sembitmap;;;Lucida Bright;-11;&]-Demanda;;6;')
//hwg_TbMt(oToolbar,'63;chk_sp_movf(,,,"CALCULA_VALOR");?-Valor_NF ;? - Valor_NF;sembitmap;;;Lucida Bright;-11;&?-Valor_NF;;6;')
//hwg_TbMt(oToolbar,'85;Tela_Fiscal();U-Centro de Custos;U-Define o Centro de Custos Referente a esta entrada;sembitmap;;;Lucida Bright;-11;Centro_&Custos;;6;')

hwg_Btn(oToolbar,960,567,54,54)
hwg_TbMt(oToolbar,'27;hwg_oDlgKey(oDlg, 27, nBrwAtivo);Saida;Saida;xml\icon\saida.ico;;;;;;;12;')
// hwg_TbMt(oToolbar,'0;;;espaco;espaco;')
// hwg_TbMt(oToolbar,'27;hwg_oDlgKey(oDlg, 27, nBrwAtivo);Saida;Saida;xml\icon\saida.ico;28;28;;;')
SetDlgKey(oDlg,8,26,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"UP"))})
SetDlgKey(oDlg,8,28,{|| (aBrowses[nBrwAtivo,2])->(moveRec(aBrowses[nBrwAtivo,1],"DOWN"))})
Hwg_EndMenu()

IF EMPTY(m_pfCodOp)
   IF LEN(wPfTotCFOPs)>0
      m_pfCodOp:=wPfTotCFOPs[1,1]
      m_pfCodOp:=left(m_pfCodop,1)+'.'+SUBSTR(m_pfcodop,2)
      osoSayPfCodop:CAPTION := SubStr(Efd_Cfop(m_pfCodOp),6)
      osoSayPfCodop:Refresh()
   ENDIF
   oPfCodop:Refresh()
endif]]>
  </method>
  <method name="onPaint">
    <![CDATA[Parameters oCtrl,hDC
oCtrl:bpaint:=NIL
D_oB:setFocus()]]>
  </method>
  <part class="status">
    <style>
      <property name="Geometry">{0,620,1024,30}</property>
      <property name="Name">[oDlgStatusBar]</property>
      <property name="aParts">{640,160,0}</property>
    </style>
  </part>
  <part class="container">
    <style>
      <property name="Geometry">{7,56,403,164}</property>
      <property name="Name">[oContainerDadosXML]</property>
      <property name="TabIndex">0</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{218,66,77,24}</property>
        <property name="Name">[oPfCodop]</property>
        <property name="varName">[m_PfCodop]</property>
        <property name="font">
          <font name="Arial" width="0" height="-21" weight="700"/>
        </property>
        <property name="cPicture">[@s5]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">16</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('SF_CODOP','PSFCODOP','M_PFCODOP','N','S',9,2,'DESCOP','9.999','',,oPFCODOP,osoSayPFCODOP)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{14,69,201,25}</property>
        <property name="Name">[oLabel8]</property>
        <property name="Caption">[Natureza da Operacao:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-19" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">17</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{14,94,389,25}</property>
        <property name="Name">[osoSayPfCodop]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-13" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">20</property>
      </style>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{297,75,16,16}</property>
        <property name="Name">[oOwnerbutton1]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">21</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SF_CODOP','PSFCODOP','M_PFCODOP','N','S',9,2,'DESCOP','9.999','','EXIBA',oPFCODOP,osoSayPFCODOP)]]>
      </method>
    </part>
    <part class="browse">
      <style>
        <property name="Geometry">{14,122,391,92}</property>
        <property name="Name">[oBcfop]</property>
        <property name="BrwType">[array]</property>
        <property name="TabIndex">47</property>
      </style>
      <method name="onInit">
        <![CDATA[//oBcfop:bColorSel:= RGB(3,23,133)
//oBcfop:tColorSel:= RGB(255,255,255)
oBcfop:DelColumn(1)
hwg_TbFi(oBcfop, "INIT")
hwg_TbFi(oBcfop, 'Cfop;wPfTotCFOPs[nRow,1];C;XXXXX;5;;')
hwg_TbFi(oBcfop, 'Descricao;SubStr(Efd_Cfop(wPfTotCFOPs[nRow,1]),6);P;@S30;30;;')
hwg_TbFi(oBcfop, 'ValorLiq;wPfTotCFOPs[nRow,2];N;@E 9,999,999.99;12;;')
hwg_TbFi(oBcfop, 'BaseIcm;wPfTotCFOPs[nRow,3];N;@E 9,999,999.99;12;;')
hwg_TbFi(oBcfop, 'TotIcm;wPfTotCFOPs[nRow,4];N;@E 9,999,999.99;12;;')
oBcfop:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
oBcfop:cargo:={.T.,.T.,"ARR_CFOP",.F.,.T.,{||.T.} }
//AADD(aBrowses,{oBcfop,oBcfop:Alias,{||.f.},{|| .T.},})
]]>
      </method>
    </part>
  </part>
  <part class="browse">
    <style>
      <property name="Geometry">{412,56,603,389}</property>
      <property name="Name">[D_oB]</property>
      <property name="Anchor">15</property>
      <property name="TabIndex">4</property>
    </style>
    <method name="onGetFocus">
      <![CDATA[nBrwAtivo:=1]]>
    </method>
    <method name="onInit">
      <![CDATA[D_oB:bColorSel:= RGB(3,23,133)
D_oB:tColorSel:= RGB(255,255,255)
D_oB:bKeyDown := {|self, wParam| (aBrowses[nBrwAtivo,2])->(hwg_oDlgKey(self, wparam,1)) , .T. }
D_oB:Alias := alias()
hwg_TbFi(D_oB, 'Cfop;pCfop;C;9999;4;S;')
hwg_TbFi(D_oB, 'CstIcm;Cst_Icms;C;xxx;6;S;')
hwg_TbFi(D_oB, 'Codigo;PCOD;N;9999999; 7;N;')
hwg_TbFi(D_oB, 'Descricao;PDESC;C;@S35; 35;N;')
hwg_TbFi(D_oB, 'Receb  ;mqatend;N;99999.999;9;S;')
if sFgContaPecas
   hwg_TbFi(D_oB, 'QPerfis;pPecas;N;99999;8;S;')
endif
hwg_TbFi(D_oB, 'Pr.Tabela;pvlutab;N;9999.99;7;S;')
hwg_TbFi(D_oB, '%Negoc;PdscCompr;N;999.99;6;S;')
hwg_TbFi(D_oB, 'PrUnNF;pvluven3;N;9999.999;8;S;')
hwg_TbFi(D_oB, '%Prd;Pdesconto;N;999.99;6;N;')
hwg_TbFi(D_oB, 'CstTotl;mvalor3;N;9999.99;7;S;')
IF s_vb_numde>0
   hwg_TbFi(D_oB, 'Frc;pitens;N;9999.999;8;S;')
ELSE
   hwg_TbFi(D_oB, 'Frc;pitens;N;9999;4;S;')
ENDIF
hwg_TbFi(D_oB, 'PrVndUnt;pvluItem;N;99999.99;8;S;')
hwg_TbFi(D_oB, 'vPMC_XML;xml_vPMC;N;99999.99;8;S;')
// hwg_TbFi(D_oB, 'PrVndCxa;pvluvenda;N;99999.99;8;S;')
hwg_TbFi(D_oB, '%Rod;PdscRodape;N;999.99;6;S;')
hwg_TbFi(D_oB, 'Pend;unid_fech-mqatend;P;9999; 4;N;')
hwg_TbFi(D_oB, 'UndVnd;mquant;N;999999;  6;N;')
hwg_TbFi(D_oB, 'Cf;pcategoria;C;XXXXX;5;S;')
hwg_TbFi(D_oB, 'Tp;Ptipoitem;C;99;2;S;')
hwg_TbFi(D_oB, 'Finalidade;Efd_TipoItem(Ptipoitem);P;@S13;13;N;')
hwg_TbFi(D_oB, 'XmlCf;xml_categf;C;xxx;5;S;')
hwg_TbFi(D_oB, 'CstPIS;Cst_Pis;C;XXX;6;S;')
hwg_TbFi(D_oB, 'CstCOF;Cst_Cofins;C;XXX;6;S;')
hwg_TbFi(D_oB, 'Base_ICM;mBaseIcms;N;9999.99;8;S;')
hwg_TbFi(D_oB, '%ICMs;mTaxaIcms;N;99.99;5;S;')
hwg_TbFi(D_oB, 'Tot_ICM;mTotIcms;N;9999.99;8;S;')
hwg_TbFi(D_oB, 'BaseST;mBaseRetid;N;9999.99;8;S;')
hwg_TbFi(D_oB, '%ST;mTaxaST;N;99.99;5;S;')
hwg_TbFi(D_oB, 'ICM_ST;mIcmRetido;N;9999.99;8;S;')
hwg_TbFi(D_oB, '*;pnegpos;C;x;1;S;')
hwg_TbFi(D_oB, 'BasePIS;vl_bc_pis;N;9999.99;8;S;')
hwg_TbFi(D_oB, '%PIS;aliq_pis;N;99.99;5;S;')
hwg_TbFi(D_oB, 'Tot_PIS;vl_pis;N;9999.99;8;S;')
hwg_TbFi(D_oB, 'BaseCOF;vlbccofins;N;9999.99;8;S;')
hwg_TbFi(D_oB, '%COF;aliqcofins;N;99.99;5;S;')
hwg_TbFi(D_oB, 'Tot_COF;vl_cofins;N;9999.99;8;S;')
hwg_TbFi(D_oB, 'xmlCstIcm;xml_csticm;C;xxx;9;N;')
hwg_TbFi(D_oB, 'xmlCstPis;xml_cstpis;C;xxx;9;N;')
hwg_TbFi(D_oB, 'xmlCstCof;xml_cstcof;C;xxx;9;N;')
hwg_TbFi(D_oB, 'XmlBaseICM;xml_IcmBC;N;9999.99;10;N;')
hwg_TbFi(D_oB, 'Xml%ICM;xml_IcmTx;N;99.99;7;N;')
hwg_TbFi(D_oB, 'XmlTotICM;xml_ICMVl;N;9999.99;9;N;')
hwg_TbFi(D_oB, '%Liq;PdescComp;N;999.99;6;S;')
hwg_TbFi(D_oB, '%Distr;PdescDist;N;999.99;6;S;')
hwg_TbFi(D_oB, '%Repas;prepasse;N;999.99;6;S;')
hwg_TbFi(D_oB, '%IPI;pipient;N;999.99;6;S;')
hwg_TbFi(D_oB, '%DscTt;if(mvalor3>0,100*(mqatend*pvlutab-mvalor3)/(mqatend*pvlutab),0);P;999.99;6;N;')
D_oB:bOther:={|o,m,wp,lp| MessagesBrowse(o,m,wp,lp)}
D_oB:cargo:={.T.,.T.,"SP_MOVF",.F.,.T.,{||.T.} }
d_ob:bEdit := &('{|D_oB| nKey:=13,pf_DoGet(D_oB,"R")}')
AADD(aBrowses,{D_oB,D_oB:Alias,{||.f.},{|| .T.},})]]>
    </method>
    <part class="label">
      <style>
        <property name="Geometry">{424,57,0,16}</property>
        <property name="Name">[oLabel18]</property>
        <property name="Caption">[REPASSE DE ICMS...:]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">13</property>
      </style>
    </part>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{5,440,641,98}</property>
      <property name="Name">[oGroup1]</property>
      <property name="Caption">[Totais da Nota Fiscal]</property>
      <property name="Anchor">6</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">40</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{518,453,116,16}</property>
        <property name="Name">[oLabel7]</property>
        <property name="Caption">[Valor Produtos]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{518,492,116,16}</property>
        <property name="Name">[oLabel10]</property>
        <property name="Caption">[Valor da NF]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{140,492,116,16}</property>
        <property name="Name">[oLabel20]</property>
        <property name="Caption">[Frete]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{14,453,116,16}</property>
        <property name="Name">[oLabel12]</property>
        <property name="Caption">[Base do ICMs]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{274,492,108,19}</property>
        <property name="Name">[oLabel21]</property>
        <property name="Caption">[Seguro]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{140,453,116,16}</property>
        <property name="Name">[oLabel13]</property>
        <property name="Caption">[Total do ICMs]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{266,453,116,16}</property>
        <property name="Name">[oLabel29]</property>
        <property name="Caption">[Base Icm Subst]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{392,453,116,16}</property>
        <property name="Name">[oLabel14]</property>
        <property name="Caption">[Icm Subst]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">9</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{14,492,116,16}</property>
        <property name="Name">[oLabel15]</property>
        <property name="Caption">[Total do IPI]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{401,492,107,16}</property>
        <property name="Name">[oLabel16]</property>
        <property name="Caption">[Outras Despesas]</property>
        <property name="Justify">[Right]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{266,508,116,22}</property>
        <property name="Name">[owPfSeguro]</property>
        <property name="varName">[wPfSeguro]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{392,508,116,22}</property>
        <property name="Name">[oWpVl_Out_Da]</property>
        <property name="varName">[WpVl_Out_Da]</property>
        <property name="Anchor">6</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{140,508,116,22}</property>
        <property name="Name">[owPfValFrete]</property>
        <property name="varName">[wPfValFrete]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{14,469,116,22}</property>
        <property name="Name">[owPfBaseICMs]</property>
        <property name="varName">[wPfBaseICMs]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{140,469,116,22}</property>
        <property name="Name">[owPfBaseIcms]</property>
        <property name="varName">[wPfBaseIcms]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{14,508,116,22}</property>
        <property name="Name">[owPfTotIpi]</property>
        <property name="varName">[wPfTotIpi]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{266,469,116,22}</property>
        <property name="Name">[owPfBaseRetid]</property>
        <property name="varName">[wPfBaseRetid]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{518,508,116,22}</property>
        <property name="Name">[owPfVal]</property>
        <property name="varName">[wPfVal]</property>
        <property name="Anchor">6</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{392,469,116,22}</property>
        <property name="Name">[owPfValRet]</property>
        <property name="varName">[wPfValRet]</property>
        <property name="Anchor">6</property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{518,471,116,22}</property>
        <property name="Name">[owPFValProd]</property>
        <property name="varName">[wPFValProd]</property>
        <property name="Anchor">6</property>
        <property name="cPicture">[9999999.99]</property>
        <property name="TabIndex">48</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[wXmlDir_Recno=0]]>
      </method>
    </part>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{11,293,390,148}</property>
      <property name="Name">[oGroup3]</property>
      <property name="Caption">[Datas de Emissao e Chegada]</property>
      <property name="Anchor">6</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="TabIndex">43</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{31,311,140,16}</property>
        <property name="Name">[oLabel3]</property>
        <property name="Caption">[DATA DO PEDIDO...............:]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">14</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{31,337,140,16}</property>
        <property name="Name">[oLabel4]</property>
        <property name="Caption">[DATA DE EMISSAO.............:]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">15</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{31,363,140,16}</property>
        <property name="Name">[oLabel5]</property>
        <property name="Caption">[DATA DE CHEGADA............:]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial Narrow" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">16</property>
      </style>
    </part>
    <part class="datepicker">
      <style>
        <property name="Geometry">{171,311,109,22}</property>
        <property name="Name">[oPFDATAPED]</property>
        <property name="varName">[m_PFDATAPED]</property>
        <property name="Anchor">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">33</property>
      </style>
      <method name="onChange">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="datepicker">
      <style>
        <property name="Geometry">{171,337,198,34}</property>
        <property name="Name">[oPFDATAEMI]</property>
        <property name="varName">[m_PFDATAEMI]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial" width="0" height="-24" weight="400"/>
        </property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">34</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[M_PFDATAEMI>=M_PFDATAPED]]>
      </method>
    </part>
    <part class="datepicker">
      <style>
        <property name="Geometry">{171,375,216,47}</property>
        <property name="Name">[oPFDATACHE]</property>
        <property name="varName">[m_PFDATACHE]</property>
        <property name="Anchor">6</property>
        <property name="font">
          <font name="Arial" width="0" height="-35" weight="700"/>
        </property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">35</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[M_PFDATACHE>=M_PFDATAEMI]]>
      </method>
    </part>
  </part>
  <part class="gridex">
    <style>
      <property name="Geometry">{10,222,400,60}</property>
      <property name="Name">[oGrid]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Items">{Duplicata,Vencimento,Valor}</property>
      <property name="Bitmap">{}</property>
      <property name="TabIndex">45</property>
    </style>
    <method name="onInit">
      <![CDATA[hwgGrid('Duplicata;wPfDups[nRow,1];C;XXXXXXXXXX; 10;;')
hwgGrid('Vencimento;dtoc(wPfDups[nRow,2]);D;; 10;N;;;')
hwgGrid('Valor;wPfDups[nRow,3];N;@E 99,999,999.99; 12;N;;;')
hwgGrid('ativar', @oGrid, @wPfDups)]]>
    </method>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{2,0,846,56}</property>
      <property name="Name">[oLabel6]</property>
      <property name="Caption">
[(&quot;NF &quot;+Str(wPfNum,10)+&quot;,  CNPJ &quot; +WpCnpjForn+&quot; &quot;+WpRazao+&quot; NFE:&quot;+ WpChNfe)]      </property>
      <property name="font">
        <font name="Arial" width="0" height="-21" weight="400"/>
      </property>
      <property name="Border">.T.</property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">46</property>
    </style>
  </part>
</part>
